package com.wd.workoffice.bean.mesBean;


/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class DispatchBean {

    /**
     * id : 434da80291be41b298e9018079e7ae17
     * createDateTime : 1587723181000
     * updateDateTime : 1586916721000
     * workStepId :
     * workStepName : null
     * workStepCode : null
     * workStepType : null
     * basketId : xxx
     * serialNumber : null
     * basketCode : null
     * productionStatus : 1
     * createUserId : 398c852b38e911ea8334fa163e1166bd
     * createUserName : hello
     * teamId :
     * teamName :
     * teamCode :
     * procedureId : 0407249a9ff511ea8334fa163e1166bd
     * procedureName : 喷涂（勿删）
     * procedureCode : PT
     * assetId : 9daab57f312d11ea8334fa163e1166bd
     * assetName : 坩埚制料生产线
     * assetCode : 02990018
     * reportDate : 1587723181000
     * delete : false
     */

    private String id;
    private long createDateTime;
    private long updateDateTime;
    private String workStepId;
    private Object workStepName;
    private Object workStepCode;
    private Object workStepType;
    private String basketId;
    private Object serialNumber;
    private Object basketCode;
    private String productionStatus;
    private String createUserId;
    private String createUserName;
    private String teamId;
    private String teamName;
    private String teamCode;
    private String procedureId;
    private String procedureName;
    private String procedureCode;
    private String assetId;
    private String assetName;
    private String assetCode;
    private long reportDate;
    private boolean delete;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public long getCreateDateTime() {
        return createDateTime;
    }

    public void setCreateDateTime(long createDateTime) {
        this.createDateTime = createDateTime;
    }

    public long getUpdateDateTime() {
        return updateDateTime;
    }

    public void setUpdateDateTime(long updateDateTime) {
        this.updateDateTime = updateDateTime;
    }

    public String getWorkStepId() {
        return workStepId;
    }

    public void setWorkStepId(String workStepId) {
        this.workStepId = workStepId;
    }

    public Object getWorkStepName() {
        return workStepName;
    }

    public void setWorkStepName(Object workStepName) {
        this.workStepName = workStepName;
    }

    public Object getWorkStepCode() {
        return workStepCode;
    }

    public void setWorkStepCode(Object workStepCode) {
        this.workStepCode = workStepCode;
    }

    public Object getWorkStepType() {
        return workStepType;
    }

    public void setWorkStepType(Object workStepType) {
        this.workStepType = workStepType;
    }

    public String getBasketId() {
        return basketId;
    }

    public void setBasketId(String basketId) {
        this.basketId = basketId;
    }

    public Object getSerialNumber() {
        return serialNumber;
    }

    public void setSerialNumber(Object serialNumber) {
        this.serialNumber = serialNumber;
    }

    public Object getBasketCode() {
        return basketCode;
    }

    public void setBasketCode(Object basketCode) {
        this.basketCode = basketCode;
    }

    public String getProductionStatus() {
        return productionStatus;
    }

    public void setProductionStatus(String productionStatus) {
        this.productionStatus = productionStatus;
    }

    public String getCreateUserId() {
        return createUserId;
    }

    public void setCreateUserId(String createUserId) {
        this.createUserId = createUserId;
    }

    public String getCreateUserName() {
        return createUserName;
    }

    public void setCreateUserName(String createUserName) {
        this.createUserName = createUserName;
    }

    public String getTeamId() {
        return teamId;
    }

    public void setTeamId(String teamId) {
        this.teamId = teamId;
    }

    public String getTeamName() {
        return teamName;
    }

    public void setTeamName(String teamName) {
        this.teamName = teamName;
    }

    public String getTeamCode() {
        return teamCode;
    }

    public void setTeamCode(String teamCode) {
        this.teamCode = teamCode;
    }

    public String getProcedureId() {
        return procedureId;
    }

    public void setProcedureId(String procedureId) {
        this.procedureId = procedureId;
    }

    public String getProcedureName() {
        return procedureName;
    }

    public void setProcedureName(String procedureName) {
        this.procedureName = procedureName;
    }

    public String getProcedureCode() {
        return procedureCode;
    }

    public void setProcedureCode(String procedureCode) {
        this.procedureCode = procedureCode;
    }

    public String getAssetId() {
        return assetId;
    }

    public void setAssetId(String assetId) {
        this.assetId = assetId;
    }

    public String getAssetName() {
        return assetName;
    }

    public void setAssetName(String assetName) {
        this.assetName = assetName;
    }

    public String getAssetCode() {
        return assetCode;
    }

    public void setAssetCode(String assetCode) {
        this.assetCode = assetCode;
    }

    public long getReportDate() {
        return reportDate;
    }

    public void setReportDate(long reportDate) {
        this.reportDate = reportDate;
    }

    public boolean isDelete() {
        return delete;
    }

    public void setDelete(boolean delete) {
        this.delete = delete;
    }
}
